<script setup>
import AppLayout from '@/Layouts/AppLayout.vue';
import { Head, Link } from '@inertiajs/vue3';
import { ref } from 'vue';

defineProps({
    transactions: Array,
    rest: Array,
})

const activeTab = ref('transactions');
</script>

<template>
    <Head title="Главная"/>

    <AppLayout>
        <template #breadcrumb>
            Главная
        </template>

        <nav class="nav nav-pills nav-fill my-3">
            <a @click.prevent="activeTab = 'transactions'" :class="{active: activeTab === 'transactions'}" class="nav-link" href="#">Движения</a>
            <a @click.prevent="activeTab = 'rest'" :class="{active: activeTab === 'rest'}" class="nav-link" href="#">Остатки</a>
        </nav>

        <div class="table-responsive">
            <table v-if="activeTab === 'transactions'" class="table table-hover">
                <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Тип</th>
                    <th scope="col">Дата</th>
                    <th scope="col">Количество</th>
                    <th scope="col">Сумма</th>
                    <th scope="col">Документ</th>
                </tr>
                </thead>
                <tbody>
                <tr v-for="(item, index) in transactions" :class="[item.type === 'income' ? 'table-success' : 'table-danger']">
                    <th scope="row">{{ index + 1 }}</th>
                    <td v-html="item.type === 'income' ? 'Приход' : 'Расход'"/>
                    <td v-html="item.transacted_at"/>
                    <td v-html="item.count.toLocaleString()"/>
                    <td v-html="item.amount.toLocaleString()"/>
                    <td>
                        <Link v-if="item.type === 'income'" :href="route('product-incomes.edit', item.id)">
                            <svg xmlns="http://www.w3.org/2000/svg" width="19" height="19" fill="currentColor" class="bi bi-journal-arrow-down me-2" viewBox="0 0 16 16">
                                <path fill-rule="evenodd" d="M8 5a.5.5 0 0 1 .5.5v3.793l1.146-1.147a.5.5 0 0 1 .708.708l-2 2a.5.5 0 0 1-.708 0l-2-2a.5.5 0 1 1 .708-.708L7.5 9.293V5.5A.5.5 0 0 1 8 5z"/>
                                <path d="M3 0h10a2 2 0 0 1 2 2v12a2 2 0 0 1-2 2H3a2 2 0 0 1-2-2v-1h1v1a1 1 0 0 0 1 1h10a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1H3a1 1 0 0 0-1 1v1H1V2a2 2 0 0 1 2-2z"/>
                                <path d="M1 5v-.5a.5.5 0 0 1 1 0V5h.5a.5.5 0 0 1 0 1h-2a.5.5 0 0 1 0-1H1zm0 3v-.5a.5.5 0 0 1 1 0V8h.5a.5.5 0 0 1 0 1h-2a.5.5 0 0 1 0-1H1zm0 3v-.5a.5.5 0 0 1 1 0v.5h.5a.5.5 0 0 1 0 1h-2a.5.5 0 0 1 0-1H1z"/>
                            </svg>
                            Приход товаров
                        </Link>
                        <Link v-else :href="route('product-outgos.edit', item.id)">
                            <svg xmlns="http://www.w3.org/2000/svg" width="19" height="19" fill="currentColor" class="bi bi-journal-arrow-up me-2" viewBox="0 0 16 16">
                                <path fill-rule="evenodd" d="M8 11a.5.5 0 0 0 .5-.5V6.707l1.146 1.147a.5.5 0 0 0 .708-.708l-2-2a.5.5 0 0 0-.708 0l-2 2a.5.5 0 1 0 .708.708L7.5 6.707V10.5a.5.5 0 0 0 .5.5z"/>
                                <path d="M3 0h10a2 2 0 0 1 2 2v12a2 2 0 0 1-2 2H3a2 2 0 0 1-2-2v-1h1v1a1 1 0 0 0 1 1h10a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1H3a1 1 0 0 0-1 1v1H1V2a2 2 0 0 1 2-2z"/>
                                <path d="M1 5v-.5a.5.5 0 0 1 1 0V5h.5a.5.5 0 0 1 0 1h-2a.5.5 0 0 1 0-1H1zm0 3v-.5a.5.5 0 0 1 1 0V8h.5a.5.5 0 0 1 0 1h-2a.5.5 0 0 1 0-1H1zm0 3v-.5a.5.5 0 0 1 1 0v.5h.5a.5.5 0 0 1 0 1h-2a.5.5 0 0 1 0-1H1z"/>
                            </svg>
                            Расход товаров
                        </Link>
                    </td>
                </tr>
                </tbody>
            </table>
            <table v-else class="table table-striped table-hover">
                <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Наименование</th>
                    <th scope="col">Артикул</th>
                    <th scope="col">Цена</th>
                    <th scope="col">Количество</th>
                    <th scope="col">Сумма</th>
                </tr>
                </thead>
                <tbody>
                <tr v-for="(item, index) in rest">
                    <th scope="row">{{ index + 1 }}</th>
                    <td v-html="item.name"/>
                    <td v-html="item.vendor_code"/>
                    <td v-html="item.price.toLocaleString()"/>
                    <td v-html="item.count.toLocaleString()"/>
                    <td v-html="item.amount.toLocaleString()"/>
                </tr>
                </tbody>
            </table>
        </div>
    </AppLayout>
</template>

<style scoped>
.table-responsive {
    overflow: auto;
    height: calc(100vh - 8rem);
}
</style>
